# BEGIN SourceDeps(oneline):
BuildRequires: libdb1-devel libgdbm-devel
# END SourceDeps(oneline)
%{?!with_cache: %global with_cache 0}

Name: jwhois
Version: 4.0
Release: alt1_31
URL: http://www.gnu.org/software/jwhois/
Source0: ftp://ftp.gnu.org/gnu/jwhois/jwhois-%{version}.tar.gz
Patch0: jwhois-4.0-connect.patch
Patch1: jwhois-4.0-ipv6match.patch
Patch2: jwhois-4.0-fclose.patch
Patch3: jwhois-4.0-select.patch
Patch4: jwhois-4.0-conf_update.patch
Patch5: jwhois-4.0-multi-homed.patch
Patch6: jwhois-4.0-idna.patch
Patch7: jwhois-4.0-conf_update2.patch
License: GPLv3
Group: Networking/WWW
Summary: Internet whois/nicname client
BuildRequires: libidn-devel
%if %{with_cache}
BuildRequires: gdbm-devel
%endif
Requires(post): alternatives
Requires(preun): alternatives

%define genname whois
%define alternative jwhois
Source44: import.info

%description
A whois client that accepts both traditional and finger-style queries.

%prep
%setup -q
%patch0 -p1 -b .connect
%patch1 -p1 -b .ipv6match
%patch2 -p1 -b .fclose
%patch3 -p1 -b .select
%patch4 -p1 -b .conf_update
%patch5 -p1 -b .multi-homed
%patch6 -p1 -b .idna
%patch7 -p1 -b .conf_update2

iconv -f iso-8859-1 -t utf-8 < doc/sv/jwhois.1 > doc/sv/jwhois.1_
mv doc/sv/jwhois.1_ doc/sv/jwhois.1

%build
%if %{with_cache}
%configure --enable-sgid --localstatedir=%{_var}/cache/jwhois
%else
%configure
%endif
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%if %{with_cache}
echo 'cachefile = "/var/cache/jwhois/jwhois.db";' >> $RPM_BUILD_ROOT/etc/jwhois.conf
install -m0775 -d $RPM_BUILD_ROOT/%{_var}/cache/jwhois
touch $RPM_BUILD_ROOT/%{_var}/cache/jwhois/jwhois.db
%endif

rm -f "$RPM_BUILD_ROOT"%{_infodir}/dir
%find_lang jwhois

# Make "whois.{%alternative}" jwhois (because of localized manual pages).
echo .so man1/jwhois.1 > $RPM_BUILD_ROOT/%{_mandir}/man1/whois.%{alternative}.1

# Rename to alternative names
touch $RPM_BUILD_ROOT%{_bindir}/whois
chmod 755 $RPM_BUILD_ROOT%{_bindir}/whois
touch $RPM_BUILD_ROOT%{_mandir}/man1/whois.1
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/%{genname}_jwhois<<EOF
%{_bindir}/whois	%{_bindir}/jwhois	60
%{_mandir}/man1/whois.1.gz	%{_mandir}/man1/whois.%{alternative}.1.gz	%{_bindir}/jwhois
EOF

%files -f %{name}.lang
%_altdir/%{genname}_jwhois
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%if %{with_cache}
%attr(2711,root,jwhois) %{_bindir}/jwhois
%attr(2775,root,jwhois) %{_var}/cache/jwhois/jwhois.db
%else
%attr(0755,root,root) %{_bindir}/jwhois
%endif
%{_mandir}/man1/jwhois.1*
%lang(sv) %{_mandir}/sv/man1/jwhois.1*
%{_mandir}/man1/whois.%{alternative}.*
%{_infodir}/jwhois.info.*
%config(noreplace) %{_sysconfdir}/jwhois.conf

%if %{with_cache}
%pre
getent group jwhois >/dev/null || groupadd -r jwhois || :
%endif

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_31
- update to new release by fcimport

* Thu Feb 07 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_30
- initial fc import

